package org.xiss.index;


/**
 * Entry of an element index describing either an element or an attribute.
 * 
 * @author JK
 */
public abstract class ElementIndexEntry extends IndexEntry {
	/**
	 * Get depth of the entry: the length of path from it to the root. The root
	 * entry has a depth of 0.
	 */
	public int Depth;
}