package org.xiss.index;

/**
 * Entry of an element index describing either an element or an attribute.
 * 
 * @author JK
 */
public interface IElementIndexEntry extends IIndexEntry {
	/**
	 * Get depth of the entry: the length of path from it to the root. The root
	 * entry has a depth of 0.
	 */
	public int getDepth();
}