package org.xiss.query.impl.ast;

import java.util.List;

import org.xiss.query.IXissOperation;

public class AnyNode extends ChunkCoreNode {
	private int myCount;

	private boolean myIsExactNotLowerBound;

	public AnyNode() {
		myCount = 1;
		myIsExactNotLowerBound = true;
	}

	public void generateCodeTo(List<IXissOperation> script) {
		throw new RuntimeException(
				"AnyNode's generateCode should never be called!");
	}

	public boolean isExact() {
		return myIsExactNotLowerBound;
	}

	public void setExact(boolean exactNotLowerBound) {
		myIsExactNotLowerBound = exactNotLowerBound;
	}

	public void setCount(int count) {
		myCount = count;
	}

	public int getCount() {
		return myCount;
	}
}
