package org.xiss.query.impl.ast;

import java.util.List;

import org.xiss.query.IXissOperation;
import org.xiss.query.operations.SelectOperation;

public class ElementChunkNode extends ChunkCoreNode {
	private String myName;

	public ElementChunkNode(String name) {
		myName = name;
	}

	public void generateCodeTo(List<IXissOperation> script) {
		script.add(new SelectOperation(myName, false));
	}

}
