package org.xiss;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.xiss.index.impl.IndexBuilderTest;
import org.xiss.index.impl.IndexTest;
import org.xiss.query.QueryParseTest;
import org.xiss.query.QueryRunTest;

public class CompleteTest extends TestCase {
	public static Test suite() {
		TestSuite suite = new TestSuite();
		suite.addTestSuite(IndexTest.class);
		suite.addTestSuite(QueryParseTest.class);
		suite.addTestSuite(QueryRunTest.class);
		suite.addTest(IndexBuilderTest.suite());
		return suite;
	}

	public static void main(String[] args) {
		TestRunner.run(CompleteTest.class);
	}
}
