package org.xiss.index.impl;

import java.io.File;
import java.io.FilenameFilter;

public class BuildIndexesApp {
	private void buildResults() {
		File dir = new File("input/TestXmls");
		String[] xmls = dir.list(new FilenameFilter() {
			public boolean accept(File dir, String name) {
				return (name.endsWith(".xml"));
			}
		});
		for (String file : xmls) {
			new SingleFileIndexTest(dir.getAbsolutePath(), file.substring(0,
					file.lastIndexOf(".")), "indexes/"
					+ file.substring(0, file.lastIndexOf(".")))
					.generateExpectedResult();
		}
	}

	public static void main(String[] args) {
		new BuildIndexesApp().buildResults();
	}

}
